package com.wd.workoffice.ui.activity.mes.user;

import android.view.View;
import android.widget.EditText;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.alibaba.fastjson.JSON;
import com.wd.workoffice.R;
import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.app.WorkToolBarActivity;
import com.wd.workoffice.bean.AccountBean;
import com.wd.workoffice.bean.event.AddFactoryEvent;
import com.wd.workoffice.retrofit.RtfUtils;
import com.wd.workoffice.retrofit.WorkObserver;
import com.wd.workoffice.ui.adapter.UserDataAdd3Adapter;
import com.wd.workoffice.ui.adapter.UserDataMachineAdapter;

import org.greenrobot.eventbus.EventBus;

import java.util.ArrayList;
import java.util.List;

import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import flexible.xd.android_base.network.rtfhttp.Transformer;
import io.reactivex.disposables.Disposable;

/**
 * 用户数据采集，添加
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MesChooseMachineAddActivity extends WorkToolBarActivity {
    @BindView(R.id.tv_client)
    EditText tvClient;
    @BindView(R.id.rl_client)
    RelativeLayout rlClient;
    @BindView(R.id.rv_data1)
    RecyclerView rvData1;
    @BindView(R.id.rv_data2)
    RecyclerView rvData2;
    @BindView(R.id.rv_data3)
    RecyclerView rvData3;
    @BindView(R.id.rv_data4)
    RecyclerView rvData4;
    @BindView(R.id.rl_add)
    RelativeLayout rlAdd;
    @BindView(R.id.tv_add1)
    TextView tvAdd1;
    @BindView(R.id.tv_add3)
    TextView tvAdd3;
    @BindView(R.id.tv_add4)
    TextView tvAdd4;
    private AccountBean dataBean;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
        rvData1.setLayoutManager(new LinearLayoutManager(this, RecyclerView.VERTICAL, false));
        rvData2.setLayoutManager(new LinearLayoutManager(this, RecyclerView.VERTICAL, false));
        rvData3.setLayoutManager(new LinearLayoutManager(this, RecyclerView.VERTICAL, false));
        rvData4.setLayoutManager(new LinearLayoutManager(this, RecyclerView.VERTICAL, false));
    }

    @Override
    protected void initData() {
        List<Object> data1List = new ArrayList<>();
        data1List.add(null);
        data1List.add(null);
        data1List.add(null);
        List<Object> data2List = new ArrayList<>();
        data2List.add(null);
        data2List.add(null);
        data2List.add(null);
        List<Object> data3List = new ArrayList<>();
        data3List.add(null);
        data3List.add(null);
        data3List.add(null);
        List<Object> data4List = new ArrayList<>();
        data4List.add(null);
        data4List.add(null);
        data4List.add(null);
        UserDataMachineAdapter data1Adapter = new UserDataMachineAdapter(R.layout.item_machine, data1List);
        UserDataMachineAdapter data2Adapter = new UserDataMachineAdapter(R.layout.item_machine, data2List);
        UserDataMachineAdapter data3Adapter = new UserDataMachineAdapter(R.layout.item_machine, data3List);
        UserDataMachineAdapter data4Adapter = new UserDataMachineAdapter(R.layout.item_machine, data4List);
        data1Adapter.bindToRecyclerView(rvData1);
        data2Adapter.bindToRecyclerView(rvData2);
        data3Adapter.bindToRecyclerView(rvData3);
        data4Adapter.bindToRecyclerView(rvData4);
        getData();
    }

    private void getData() {
        RtfUtils.getRtf().getAccount().compose(Transformer.schedule()).subscribe(new WorkObserver<BaseBean>() {


            @Override
            public void doOnSubscribe(Disposable d) {
            }

            @Override
            public void onFail(String errorMsg) {
                hideLoading();
                toast(errorMsg);
            }

            @Override
            public void onSuccess(BaseBean data) {
                hideLoading();
                if (data.getCode() != 0) {
                    toast(data.getMessage());
                    return;
                }
                dataBean = JSON.parseObject(data.getData().toString(), AccountBean.class);
//                tvName.setText(dataBean.getName());
//                tvDpeName.setText(dataBean.getName());
//                tvDpePrice.setText(MathUtils.converData(dataBean.getBalance(), 2));
//                tvDpeFreezePrice.setText(String.valueOf(dataBean.getFrozenAmount()));
            }
        });
    }

    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_mes_user_data_machine_add;
    }


    @OnClick(R.id.rl_add)
    public void onViewClicked() {
        EventBus.getDefault().post(new AddFactoryEvent());
    }


    @OnClick({R.id.tv_add1, R.id.tv_add3, R.id.tv_add4, R.id.rl_add})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.tv_add1:
                break;
            case R.id.tv_add3:
                break;
            case R.id.tv_add4:
                break;
            case R.id.rl_add:
                break;
        }
    }
}
